<?php
$host = "webdev.iyaserver.com";
$username = "dent_guest";
$password = "Acad276_Dev2Ex@m";
$dbname = "dent_exam";

$mysql = new mysqli($host, $username, $password, $dbname);

if ($mysql->connect_errno) {
    echo "Database connection error: " . $mysql->connect_error;
    exit();
}

// Redirect back to search.php if expected data is missing
if (empty($_GET['id'])) {
    header("Location: search.php");
    exit();
}

$device_id = intval($_GET['id']);

$sql = "SELECT devices.*, manufacturers.manufacturer, systems.system, types.type 
        FROM devices 
        JOIN manufacturers ON devices.manufacturer_id = manufacturers.manufacturer_id
        JOIN systems ON devices.system_id = systems.system_id
        JOIN types ON devices.type_id = types.type_id
        WHERE devices.device_id = $device_id";

$result = $mysql->query($sql);

if (!$result) {
    echo "SQL Error: " . $mysql->error;
    exit();
}

if ($result->num_rows == 0) {
    echo "No device found with the given ID.";
    exit();
}

$device = $result->fetch_assoc();
?>

    <!DOCTYPE html>
    <html>
    <head lang="en">
        <meta charset="UTF-8">
        <title>Acad276 Practical Exam: Details</title>
        <style>
            .container {
                width:  800px;
                margin: auto;
            }
            h1 {
                margin: auto;
                text-align: center;
                background-color:   #900;
                color:  #FC0;
                height: 60px;
                line-height: 60px;
            }
            .details {
                border:     1px solid #990000;
                width:      600px;
                margin:     auto;
                margin-top: 20px;
                padding:    20px;
            }
            table {
                height: 300px;
                width:      100%;
            }
            table img {
                height: 300px;
            }
            img {
                width: 300px;
            }
            .label {
                text-align: right;
                width:      20%;
                padding:    3px 10px 3px;
            }
            .data {
                width: 40%;
            }
            .input>input, .input>select {
                width:  100%;
            }
            .nav-link{
                margin: 10px 0px;
                font-size: 14px;
            }
        </style>
    </head>
    <body>
    <div class="container">
        <h1>Mobile Device Database: Details Page</h1>
        <div class="nav-link">
            <a href="search.php"><< Back to Search Page</a>
        </div>

        <div class="details">
            <table>
                <tr>
                    <td rowspan="5" class="img">
                        <img src="<?php echo htmlspecialchars($device['img_url']); ?>" class="img">
                    </td>
                    <td class="label">Name:</td>
                    <td class="data"><strong><em><?php echo htmlspecialchars($device['name']); ?></em></strong></td>
                </tr>
                <tr>
                    <td class="label">Price:</td>
                    <td><strong><?php echo number_format($device['price'], 2); ?></strong></td>
                </tr>
                <tr>
                    <td class="label">Manufacturer:</td>
                    <td><?php echo htmlspecialchars($device['manufacturer']); ?></td>
                </tr>
                <tr>
                    <td class="label">System:</td>
                    <td><?php echo htmlspecialchars($device['system']); ?></td>
                </tr>
                <tr>
                    <td class="label">Type:</td>
                    <td><?php echo htmlspecialchars($device['type']); ?></td>
                </tr>
            </table>
        </div>

    </div>
    </body>
    </html>

<?php
$mysql->close();
?>